Subject: Re: [PATCH] net: dsa: Inherit dev addr from master

From: Andrew Lunn <[email-masked]>
Date: Mon, 25 Feb 2019 14:21:07 +0100

> I think we can remove the first inherit, but if keep it, we can see
> consistent address output by ifconfig -a before open master and slave
> interface.

True

But it also means we see inconsistent MAC addresses on the master. The
MAC address changes on open.

Maybe it would be better to change your master so it sets its MAC
address during probe? Everything is then consistent all the time.

	Andrew